pl_flowtime.d(1m)

NAME
pl_flowtime.d - snoop Perl subroutines with flow and delta times.

SYNOPSIS
pl_flowtime.d

DESCRIPTION
This traces shell activity from Perl programs on the system that are running with Perl provider support. This watches Perl subroutine entries and returns, and indents child subroutine calls. Filename and subroutine names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_flowtime.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this subroutine belongs to

DELTA(us)
    Elapsed time from previous line to this line

SUB Perl subroutine name

LEGEND

->  method entry

<-  method return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_flowtime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)